(function (global, factory) {
	if (typeof define === "function" && define.amd) {
		define(['module', 'react', 'react-dom'], factory);
	} else if (typeof exports !== "undefined") {
		factory(module, require('react'), require('react-dom'));
	} else {
		var mod = {
			exports: {}
		};
		factory(mod, global.react, global.reactDom);
		global.index = mod.exports;
	}
})(this, function (module, React, ReactDOM) {
	'use strict';

	var ReactFormComponent = React.createClass({
		displayName: 'ReactFormComponent',

		getInitialState: function getInitialState() {
			return {
				property: 'Form value from `state`'
			};
		},
		render: function render() {
			return React.createElement(
				'form',
				{ className: 'ni-form' },
				React.createElement(
					'p',
					null,
					this.state.property
				),
				React.createElement(
					'label',
					null,
					React.createElement('input', { type: 'text', placeholder: 'fname' })
				),
				React.createElement('hr', null),
				React.createElement(
					'button',
					{ type: 'submit' },
					'Submit'
				)
			);
		}
	});

	module.exports = reactFormComponent;
});